<?php
/**
 * Plugin Name:       Video Conferencing with Webex
 * Plugin URI:        https://wordpress.org/plugins/video-conferencing-webex
 * Description:       Enables you to visually collaborate, create, edit, delete and align your Webex meeting schedules directly from your WordPress dashboard.
 * Version:           1.1.2
 * Author:            codemanas
 * Author URI:        https://codemanas.com/
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       video-conferencing-webex
 * Domain Path:       /languages
 * Requires at least: 6.0
 * Requires PHP:      7.4
 */

define( 'VCW_ABS_NAME', plugin_basename( __FILE__ ) );
define( 'VCW_SLUG', 'video-conferencing-webex' );
define( 'VCW_DIR_PATH', trailingslashit( plugin_dir_path( __FILE__ ) ) );
define( 'VCW_DIR_URI', trailingslashit( plugin_dir_url( __FILE__ ) ) );
define( 'VCW_DIR_CORE', VCW_DIR_PATH . 'core/' );
define( 'VCW_DIR_INCLUDES', VCW_DIR_PATH . 'includes/' );
define( 'VCW_DIR_ASSETS_URI', VCW_DIR_URI . 'assets/' );
define( 'VCW_DIR_DIST_URI', VCW_DIR_URI . 'public/' );
define( 'VCW_DIR_DIST_VENDORS_URI', VCW_DIR_URI . 'public/vendors/' );
define( 'VCW_VERSION', '1.1.2' );

include VCW_DIR_PATH . '/vendor/autoload.php';
require VCW_DIR_INCLUDES . 'dependencies.php';
require VCW_DIR_CORE . 'Kernel.php';

register_activation_hook( __FILE__, 'Codemanas\Webex\Core\Kernel::activate' );
register_deactivation_hook( __FILE__, 'Codemanas\Webex\Core\Kernel::deactivate' );